﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Windows.Data;
using System.Globalization;

namespace RadControlsSilverlightApp5
{
	public class CultureToVisibilityConverter : IValueConverter
	{

		public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
		{
			var viewModelCulture = value as CultureInfo;
			if (viewModelCulture.Name == "en-US")
			{
				if (parameter!=null &&parameter.ToString() == "Reversed")
					return Visibility.Collapsed;
				else
					return Visibility.Visible;
			}
			if (parameter != null && parameter.ToString() == "Reversed")
				return Visibility.Visible;
			else
				return Visibility.Collapsed;
		}

		public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
		{
			throw new NotImplementedException();
		}
	}
}
