﻿using System;
using System.Globalization;
using Telerik.Windows.Controls;

namespace RadControlsSilverlightApp5
{
	public class MainViewModel : ViewModelBase
	{
		public MainViewModel()
		{
			this.CurrentCulture = new CultureInfo("en-US");
			this.Phone = "3334445555";
		}
		private CultureInfo currentCulture = CultureInfo.CurrentCulture;
		public CultureInfo CurrentCulture
		{
			get
			{
				return this.currentCulture;
			}
			set
			{
				if (this.currentCulture != value)
				{
					this.currentCulture = value;
					this.OnPropertyChanged("CurrentCulture");
				}
			}
		}

		private string phone;

		public string Phone
		{
			get { return phone; }
			set
			{
				if (value != phone)
				{
					phone = value;
					this.OnPropertyChanged("Phone");
				}
			}
		}
		
		
		
	}
}
